#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 websockets
version:              0.12.7.3
visibility:           public
id:                   websockets-0.12.7.3-CZqhtYcVV7KI63jVEps1BW
key:                  websockets-0.12.7.3-CZqhtYcVV7KI63jVEps1BW
license:              BSD-3-Clause
copyright:
    (c) 2010-2011 Siniša Biđin
    (c) 2011-2018 Jasper Van der Jeugt
    (c) 2011 Steffen Schuldenzucker
    (c) 2011 Alex Lang

maintainer:           Jasper Van der Jeugt <m@jaspervdj.be>
author:
    Siniša Biđin <sinisa@bidin.cc>
    Jasper Van der Jeugt <m@jaspervdj.be>
    Steffen Schuldenzucker <steffen.schuldenzucker@googlemail.com>
    Alex Lang <lang@tsurucapital.com>

stability:            experimental
homepage:             http://jaspervdj.be/websockets
synopsis:
    A sensible and clean way to write WebSocket-capable servers in Haskell.

description:
    This library allows you to write WebSocket-capable servers.

    An example server:
    <https://github.com/jaspervdj/websockets/blob/master/example/server.lhs>

    An example client:
    <https://github.com/jaspervdj/websockets/blob/master/example/client.hs>

    See also:

    * The specification of the WebSocket protocol:
    <http://www.whatwg.org/specs/web-socket-protocol/>

    * The JavaScript API for dealing with WebSockets:
    <http://www.w3.org/TR/websockets/>

category:             Network
abi:                  d9eeba017daadcc13186d97297663c4e
exposed:              True
exposed-modules:
    Network.WebSockets Network.WebSockets.Client
    Network.WebSockets.Connection Network.WebSockets.Extensions
    Network.WebSockets.Stream

hidden-modules:
    Network.WebSockets.Connection.Options
    Network.WebSockets.Extensions.Description
    Network.WebSockets.Extensions.PermessageDeflate
    Network.WebSockets.Extensions.StrictUnicode Network.WebSockets.Http
    Network.WebSockets.Hybi13 Network.WebSockets.Hybi13.Demultiplex
    Network.WebSockets.Hybi13.Mask Network.WebSockets.Protocol
    Network.WebSockets.Server Network.WebSockets.Types

import-dirs:          /usr/lib/ghc-9.2.8/site-local/websockets-0.12.7.3
library-dirs:         /usr/lib/ghc-9.2.8/site-local/websockets-0.12.7.3
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-websockets
hs-libraries:         HSwebsockets-0.12.7.3-CZqhtYcVV7KI63jVEps1BW
depends:
    SHA-1.6.4.4-4vZ3YEU9upt6TqgW7hflaa
    async-2.2.5-FKfvvqWRs5hKqVa0zqZISU
    attoparsec-0.14.4-3uzSp4DJeNe8DMv46inf7D base-4.16.4.0
    base64-bytestring-1.2.1.0-GUcXE9RwiT43BOntrMFXuK binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-70bos50a2k8AE0jNL30hL3
    clock-0.8.4-HCrXVMvRWsu19wuZXwt9pz containers-0.6.5.1
    entropy-0.4.1.11-8g1240oEX98G9ng2a56xRZ
    network-3.1.4.0-JtPWZ6x3npl2gpyraNkSVD
    random-1.2.1.2-81vy8e6NCuX1qZ1DGAELzi
    streaming-commons-0.2.2.6-9BZyf3SDJtw2GiV2wIQr9z text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-websockets/html/websockets.haddock
haddock-html:         /usr/share/doc/haskell-websockets/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

